package com.yihu.hos.system.model;

/**
 * SystemMenuAction entity. @author MyEclipse Persistence Tools
 */

public class SystemMenuAction implements java.io.Serializable {

    // Fields

    private String id;
    private String menuId;
    private String name;
    private String flag;
    private String remark;
    private String url;

    // Constructors

    /**
     * default constructor
     */
    public SystemMenuAction() {
    }

    /**
     * minimal constructor
     */
    public SystemMenuAction(String menuId, String name, String flag) {
        this.menuId = menuId;
        this.name = name;
        this.flag = flag;
    }

    // Property accessors

    public String getId() {
        return this.id;
    }

    public void setId(String id) {
        this.id = id;
    }

    public String getMenuId() {
        return this.menuId;
    }

    public void setMenuId(String menuId) {
        this.menuId = menuId;
    }

    public String getName() {
        return this.name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public String getFlag() {
        return this.flag;
    }

    public void setFlag(String flag) {
        this.flag = flag;
    }

    public String getRemark() {
        return remark;
    }

    public void setRemark(String remark) {
        this.remark = remark;
    }

    public String getUrl() {
        return url;
    }

    public void setUrl(String url) {
        this.url = url;
    }
}